export const DetailsSection = ({ data }) => {
  const detailItems = [
    { label: "Name", value: data?.name },
    { label: "Category", value: data?.category },
    { label: "Phone No.", value: data?.mobile_no },
    { label: "Batch Year", value: data?.batch_year },
    { label: "T Shirt", value: data?.tshirt ? "Yes" : "No" },
    { label: "T Shirt Size", value: data?.tshirt_size },
    { label: "Cap", value: data?.cap ? "Yes" : "No" },
    { label: "Kit", value: data?.kit ? "Yes" : "No" },
    { label: "Label Pin", value: data?.lapel_pin ? "Yes" : "No" },
  ];

  return (
    <section className="blogCard neumormphism sectionBoxPadding">
      <div className="detailsText">
        {detailItems.map((item, index) => (
          <div className="card mb-3" key={index}>
            <div className="card-body">
              <p className="card-text">
                <strong>{item.label} : </strong> {item.value}
              </p>
            </div>
          </div>
        ))}
      </div>
    </section>
  );
};

export const EventSection = ({ data, checkIn }) => (
  <section className="blogCard neumormphism sectionBoxPadding">
    {data.map(({ eventid, eventname, attend_event_count }, index) => (
      <div className="card mb-3" key={index}>
        <div className="card-body">
          <div className="mb-2">
            <strong>Event Name : </strong> {eventname}
          </div>
          <div className="d-flex justify-content-center align-items-center gap-4">
            <button className="btnNeu" onClick={() => checkIn(eventid)}>
              Check In
            </button>
            <strong>Attend : {attend_event_count}</strong>
          </div>
        </div>
      </div>
    ))}
  </section>
);
